//Cristian Ronzoni 3Ain
//Tavola pitagorica
// Righe nel ciclo esterno, colonne nel ciclo interno (righe i, colonne j)
#include <iostream>
#include <iomanip>
#define LATO 10

using namespace std;
void riempi(int arr[LATO] [LATO]){
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j)
			arr[i][j] = (i + 1) * (j + 1);			
				
		
	}
	
	
}


void stampa(int arr[LATO] [LATO]){
	
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			cout << setw(5) << arr[i] [j];
			
		}
		cout << endl;
	}
	
}



int main(void){
	
	int mat[LATO] [LATO];
	riempi(mat);
	stampa(mat);
	
	
}
